# DCDCBuck

A PCB I made to convert ~60V to 12-24V based on the Vishay SiC46x chip.

## Specs

### Electrical
|**Parameter**|**Value**|
|:-----------:|:-------:|
|Input Voltage|14-60V|
|Output Voltage|12-24V|
|Dropout Voltage|1.1\*V<sub>in</sub>|
|Output Current(\<10s)|15A|
|Output Current(>10s)|10A|
|Quiescent Current|4mA|
|Standby Current|6uA|
|Efficiency|94-98%|

### Limits
|**Parameter**|**Typical**|**Max**|
|:-----------:|:---------:|:-----:|
|Input Voltage|14-60V|0-66V|
|Output Current|10A|15A|
|Temperature (Ambient)|-40-85C|-40-105C|


## License
This repository is licensed under the [CC BY-SA 4.0 License](https://creativecommons.org/licenses/by-sa/4.0/).
